Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class ImageUtilities

    java.lang.Object
      org.eclipse.ui.texteditor.ImageUtilities

Deprecated. As of 3.0, replaced by `ImageUtilities`

public class ImageUtilities
extends Object

Since:
  3.0

Constructor Summary
`ImageUtilities()` Deprecated.

Method Summary
`static void` | `drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int align)` Deprecated. As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int)`
`static void` | `drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int halign, int valign)` Deprecated. As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int, int)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageUtilities

    public ImageUtilities()

  Deprecated.

Method Detail

### drawImage

    public static void drawImage(Image image,
                                 GC gc,
                                 Canvas canvas,
                                 Rectangle r,
                                 int halign,
                                 int valign)

  Deprecated. As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int, int)`

### drawImage

    public static void drawImage(Image image,
                                 GC gc,
                                 Canvas canvas,
                                 Rectangle r,
                                 int align)

  Deprecated. As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.